%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define bzr_rev 199

Name:           gwibber
Version:        0.7.3
Release:        3.%{bzr_rev}bzr%{?dist}
Summary:        An open source microblogging client for GNOME developed with Python and GTK

Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/gwibber
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  bzr branch -r %{bzr_rev} lp:gwibber
#  rm -rf gwibber/.bzr*
#  tar -czvf gwibber-%{bzr_rev}bzr.tar.gz gwibber
Source0:        %{name}-%{bzr_rev}bzr.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       python pygtk2 dbus-python gnome-python2-gconf PyXML
Requires:       pywebkitgtk mx python-feedparser pyxdg python-imaging
Requires:       python-sexy python-simplejson >= 1.9.1
BuildRequires:  python-devel desktop-file-utils python-distutils-extra intltool gettext
BuildArch:      noarch

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.


%prep
%setup -q -n gwibber
sed -i -e 's/version="0.7",/version="%{version}",/' setup.py
sed -i -e '/^#! \?\//, 1d' $(find %{name} | grep "\.py$")


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --prefix %{_prefix} -O1 --skip-build --root %{buildroot}

## Reinstall .desktop file
rm -rf %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="fedora" --dir=%{buildroot}%{_datadir}/applications build/share/applications/%{name}.desktop

## Install i18n data  (THIS MUST COME LAST)
cp -a build/mo %{buildroot}%{_datadir}/locale
%find_lang %{name}

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Wed Jan 28 2009 Ian Weller <ianweller@gmail.com> 0.7.3-3.199bzr
- Update upstream to r199:
  - more translations
  - "source" in identica and laconica now identified
  - account manager bug fix

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-2.196bzr
- Restore the Requires on python-sexy that I accidentally overwrote

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-1.196bzr
- Add Requires: python-imaging (PIL)
- Add BuildRequires: python-distutils-extra, intltool and gettext for i18n
- Add build and installation lines for i18n support
- Move shebang remover to setup
- Fix version in setup.py
- Update upstream

* Sat Jan 17 2009 Brian Pepple <bpepple@fedoraproject.org> 0.7.2-5.165bzr
- Enable spell checking by adding missing requires on python-sexy.

* Sun Dec 21 2008 Ian Weller <ianweller@gmail.com> 0.7.2-3.165bzr
- Update upstream

* Sun Dec 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.7.2-2.156bzr
- add missing Requires: pyxdg

* Wed Dec 17 2008 Ian Weller <ianweller@gmail.com> 0.7.2-1.156bzr
- Update upstream

* Sun Nov 16 2008 Ian Weller <ianweller@gmail.com> 0.7.1-1.134bzr
- Update upstream
- Remove patch from J. Katz, fixed upstream

* Thu Oct  2 2008 Jeremy Katz <katzj@redhat.com> - 0.7-6.102bzr
- Use the system python-simplejson rather than the one included in the
  tarball (#464727)

* Mon Sep 29 2008 Ian Weller <ianweller@gmail.com> 0.7-5.102bzr
- Requires: mx

* Thu Sep 11 2008 Ian Weller <ianweller@gmail.com> 0.7-4.102bzr
- Update upstream
- Fix requires: s/pywebkitgui/pywebkitgtk/
- Fix requires: python-simplejson >= 1.9.1

* Sat Aug 30 2008 Ian Weller <ianweller@gmail.com> 0.7-3.101bzr
- Update upstream to webkitui branch

* Tue Aug 05 2008 Ian Weller <ianweller@gmail.com> 0.7-2.61bzr
- Patch facebook.py to find ui/preferences.glade in the right location

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 0.7-1.61bzr
- Initial package build.
